<?php

// preparing the formular variables...
if( isset($_POST["whattodo"]) ) {
	$whattodo = $_POST["whattodo"];
}

define('SM_PATH','../../');

include_once(SM_PATH . 'include/validate.php');
include_once(SM_PATH . 'functions/page_header.php');

include_once(SM_PATH . 'functions/i18n.php');
bindtextdomain('postmodregex', SM_PATH . 'plugins/postmodregex/locale');

// display the page header
global $username, $color, $default_charset;
$default_charset = strtoupper($default_charset);
displayPageHeader($color, 'None');

// Switch to your plugin domain so your messages get translated 
textdomain('postmodregex');

// retrieve the user logged in
sqgetGlobalVar('username', $username, SQ_SESSION);
sqgetGlobalVar('data_dir', $data_dir, SQ_SESSION);
sqgetGlobalVar('whattodo', $whattodo, SQ_POST);

	if( (isset($whattodo)) && ($whattodo == "setpref") ) {
		sqgetGlobalVar('formpostmodregexfiles', $formpostmodregexfiles, SQ_POST); 
		sqgetGlobalVar('formpostmodregexenabled', $formpostmodregexenabled, SQ_POST);
		if( isset($formpostmodregexfiles) )
			$filestring = implode('###', $formpostmodregexfiles);
		else
			$filestring = '';
		setPref($data_dir, $username, 'postmodregex_rulefiles', $filestring);
		setPref($data_dir, $username, 'postmodregex_enabled', $formpostmodregexenabled);
	}
		
$enabled = getPref($data_dir, $username, 'postmodregex_enabled', false);
$files = explode('###', getPref($data_dir, $username, 'postmodregex_rulefiles', 'NONE'));

echo '<table bgcolor="#DCDCDC" align="center" width="95%" cellpadding="1" cellspacing="0" border="0">'.
     '<tr><td align="center"><b>'. _("Options - PostMod").'</b><br />'.
     '<table width="100%" cellpadding="5" cellspacing="0" border="0">'.
     '<tr><td bgcolor="#FFFFFF" align="center">';

echo '<form action="options.php" method="post" accept-charset="iso-8859-1">'.
     '<input type="hidden" name="whattodo" value="setpref" /><br />'.
     '<input type="checkbox" name="formpostmodregexenabled" value="enabled" '.($enabled ? 'checked="checked"' : '').'>'.
     _("Enable PostModifications").'<br /><br /><br />';

echo '<table cellpadding="0" cellspacing="5"><tr><td colspan="2"><b>'._("Rulesets to enable").':</b><br /><br /></td></tr>';

$dir = opendir(SM_PATH . "plugins/postmodregex/rules/");
while($file = readdir($dir)) {
	$file = basename($file);
	$ffile = SM_PATH . "plugins/postmodregex/rules/" . $file;
	// echo 'file: '.$file . '<br />ffile: ' . $ffile. '<br /><pre>' . htmlspecialchars(implode("", file($ffile))) . '</pre><br />';
	if( preg_match('/\.php$/', $file) > 0 ) {
		if( preg_match('/\/\*\s*DESCRIPTION:(.*)\*\//msU', nl2br(implode("", file($ffile))), $matches) > 0 ) {
			$desc = $matches[1];
		} else {
			$desc = $file;
		}
	     	echo '<tr><td width="0" valign="top"><input type="checkbox" name="formpostmodregexfiles[]" value="'.$file.'"'.(strpos(implode('#', $files), $file)!==false?' checked="checked"':'').'></td><td style="border:1px solid gray;">'.$desc.'</td></tr>';
        }
}

echo '</table><p align="right"><input type="reset" value="'._("Reset").'"><input type="submit" value="'._("Save").'"></p></form>';

echo '</td></tr></table></td></tr></table>';

/* Switch back to the SquirrelMail domain */
bindtextdomain('squirrelmail', SM_PATH . 'locale');
textdomain('squirrelmail');

echo "</body></html>";

?>